DefineHotkeys: ; *** *** LIST APPS & hotkey'em *** *** ALSO DOES EXTRA STUFF
; Global hotkey

;~ Hotkey, If, MouseIsOver("ahk_class Button")
;~ Hotkey, MButton, AppMenu
AppsMenuHotkey := ini_getValue(AppifyerSettings, "General", "AppsMenuHotkey")
AppsMenuHotkey := (AppsMenuHotkey ? AppsMenuHotkey : "#Space")
If (PrevHotkey != "")
	Hotkey, %PrevHotkey%, AppMenu, Off ; Value from GuiSubmit
Hotkey, %AppsMenuHotkey%, AppMenu, On
; App hotkeys

ini_load(AppifyerApps, "data\AppifyerApps.ini")
SectionNames := ini_getAllSectionNames(AppifyerApps) ; Appsnumber = N apps
Loop, Parse, SectionNames, `,
{
	App := A_LoopField
	If (App_Data(App, "Active") = 0)
		continue
	HK := App_Data(App, "Hotkey")
	;~ WK := App_Data(App, "Winkey")
	If (HK)
	{
		;~ If (WK)
			;~ HK := "#" . HK
		Hotkey, %HK%, HotkeyRun	
		StringReplace, AppToRun, HK, #, Win
		StringReplace, AppToRun, ApptoRun, ^, Ctrl
		StringReplace, AppToRun, AppToRun, !, Alt
		StringReplace, AppToRun, AppToRun, +, Shift
		%ApptoRun% := App_Data(A_LoopField, "File") ; Definies f.ex. "WinCtrlB = BitlyButler"
		ApptoRunName%ApptoRun% := App
		}
}

; Every time hotkeys get defined, run Alwayson apps
Loop, Parse, SectionNames, `,
{
	App := A_LoopField
	If (App_data(App, "Mode") != "AlwaysOn")
		continue
	If InStr(RunningApps, App)
		continue
	File := App_Data(App, "File")
	Process, Exist, %File%
	If (ErrorLevel) ; If process is running
		Continue
	Run, %File%
	RunningApps := App . "|" . RunningApps ; Keeps an eye on which eyes are running, dunno why yet but still
}

return