If (GuiBuilding = 1)
	return
GuiBuilding := 1
Gui, Destroy
Gui, Font, s13, Agency MB

Gui, Add, Tab2, x10 y2 h30 +Buttons, Apps||Settings|Advanced|Help
Gui, Tab, Apps
Gui, Add, Picture, x0 y33, % Img_GuiHeader
Gui, Font, s8, Verdana
Ynum := 0 ; Counts columns
SectionNames := ini_getAllSectionNames(AppifyerApps)
Sort, Sectionnames, D`,
Loop, Parse, SectionNames, `,
{
	App := A_LoopField, File := App_Data(App, "File"), Icon := App_Data(App, "Icon")
	AppV := varSafe(App) ; AppV is used as variable name
	If (App_Data(App, "Active") = 0)
		continue
	; 
	File := ((App_Data(App, "FilePathtype")=="Relative") ? (A_ScriptDir . "\" . File) : (App_Data(App, "File")))
	Icon := (Icon ? Icon : File)
	Mode := ((App_Data(App, "Mode")="AlwaysOn")?("AlwaysOn"):("OnDemand"))
	ModePic := ((Mode="AlwaysOn")?(Img_GuiModeA):(Img_GuiModeO))
	%AppV%_Mode := Mode
	If (StrLen(App) > 13)
	{
		StringLeft, AppDisplay, App, 10
		AppDisplay := AppDisplay . ".."
	}
	else
		AppDisplay := App
	++Ynum
	Ypos:=Ynum*40+60
	If (!FileExist(Icon))
		Icon := Img_StdIcon
	;~ Menu, AppMenu, Add, %App%, AppMenuRun	
	Gui, Add, Picture, w32 h32 x%c1% y%ypos% v%AppV%_Icon gGuiChangeIcon, %icon%
	Gui, Add, Text, x45 yp+7 w80 v%AppV%_Text gGuiChangeName, %Appdisplay%
	Gui, Add, Picture, x130 w32 h32 yp-10 v%AppV%_Mode gGuiChangeMode, %ModePic%
	Gui, Add, Picture, x160 w16 h16 yp+7 v%AppV%_Delete gGuiRemoveApp, % Img_GuiRemoveApp
	;~ HotkeyPic := ((App_Data(App, "Hotkey"))?(Img_GuiHasHotkey):(Img_GuiSetHotkey))
	;~ Gui, Add, Picture, x%c2% w32 h32 yp-5 v%AppV%_SetHotkey gGuiSetHotkey, %HotkeyPic%
	HK := App_Data(App, "Hotkey")
	StringReplace, HK, HK, #,, All ; Clears out the Win key selection for the hotkey field
	Gui, Add, Hotkey, xp+30 w110 yp-2 v%AppV%_Hotkey, %HK%
	WK := (InStr(App_Data(App, "Hotkey"), "#") ? 1 : 0)
	Gui, Add, Checkbox, xp+120 yp+2 Checked%WK% v%AppV%_Winkey
	/*
	Gui, Add, Picture, xp+60 yp, % Img_GuiLikeApp
	Gui, Add, Picture, xp+60 yp, % Img_GuiReviewApp
	Gui, Add, Picture, xp+60 yp, % Img_GuiUpdateApp 
	*/
}
; 
;~ Gui, Add, Picture, x10 w200, %Img_GuiDragNDrop%
Gui, Add, Button, x10 w160 h30 gGuiAddApp, &Add app
;~ Gui, Add, Button, xp+210 yp w100 h30 gGuiClose, Cancel
Gui, Add, Button, xp+170 yp w140 h30 gGuiSubmit Default, &Save 
GuiControl, Focus, % Img_GuiHeader ; 
; ---- Insert a topmenu to the GUI

Menu, FileMenu, Add, &Export profile as..., NYI ; MenuFileSaveProfileAs
Menu, FileMenu, Add, &Import profile, NYI ; MenuFileOpenProfile
Menu, FileMenu, Add, &Save without closing, GuiSaveNoClose
Menu, FileMenu, Add, &Close window, GuiClose
Menu, AppsMenu, Add, List all Appifyer Apps, NYI
Menu, AppsMenu, Add, Update Apps, NYI ; ---> 
Menu, AppsMenu, Add, Download more Apps..., NYI ;-->
;~ IfExist %A_Startup%\Appifyer.lnk
	;~ Menu, SettingsMenu, Check, Autostart
Menu, TopMenuBar, Add, &File, :FileMenu
Menu, TopMenuBar, Add, A&pps, NYI
Menu, TopMenuBar, Add, Settin&gs, NYI
Menu, TopMenuBar, Add, &Help, Help
;~ Gui, Menu, TopMenuBar
Gui, +Border
;~ If (Ynum > 10)
	;~ Gui, +0x200000 ; Add scrollbar if > 10 apps
Gui, Color, FFffFF
; SETTINGS
Gui, Tab, Settings
	Gui, Add, Pic,, %Img_GuiHeaderSettings%
	Gui, Font, s12, Verdana
	++GB_number ; VERY ugly temp-fix due to how AddGraphicButton works (need to create a new one for each time to show GUI)

	Gui, Add, Pic, x20 y110 vBtn_ChangeAutostart gChangeAutostart, % (FileExist(A_Startup . "\Appifyer.lnk") ? img_GuiBtnOn : Img_GuiBtnOff)
	Gui, Add, Text, yp+8 xp+86, Autostart

	AutoUpdate := ini_getValue(AppifyerSettings, "General", "AutoUpdate")
	Gui, Add, Pic, x20 yp+30 vBtn_AutoUpdate gGUIChangeAutoupdate, % ((AutoUpdate = "Enabled") ? img_GuiBtnOn : img_GuiBtnOff)
	Gui, Add, Text, yp+8 xp+86, Autoupdate

	Gui, Add, Pic, x20 yp+30 vBtn_Notifications gGuiChangeNotifications, % ((ini_getValue(AppifyerSettings, "General", "Notifications") = "Enabled") ? img_GuiBtnOn : img_GuiBtnOff)
	Gui, Add, Text, yp+8 xp+86, Notifications

	RegRead, OCI, HKEY_CLASSES_ROOT, Appify\shell\open\command
	Gui, Add, Pic, x20 yp+30 vBtn_OneClickInstall gGuiOneClickInstall, % (OCI ? img_GuiBtnOn : img_GuiBtnOff)
	Gui, Add, Text, yp+8 xp+86, One-click-install

	AddGraphicButton("AppifyerUpdate" . GB_Number, img_BlackUpdate, "x20 yp+30 w80 h32 gUpdate")
		Gui, Add, Text, yp+8 xp+86, Update

	Gui, Add, Button, x20 w180 yp+30 h40 gGuiSubmit Default, &Save all settings
	Gui, Font, s8, Verdana
; ADVANCED
Gui, Tab, Advanced

	Gui, Font, s12, Verdana
	Gui, Add, Pic,, %Img_GuiHeaderAdvanced%
	AddGraphicButton("AppMenuHotkey" . GB_Number, img_BlackSettings, "x20 y110 h32 w80 gGuiChangeAppifyerHotkey")
	Gui, Add, Text, yp+8 xp+86, Appmenu hotkey
	Gui, Add, Button, x20 yp+32 gGuiListLaunchCounts w120 h32, Statistics
	Gui, Add, Button, x20 yp+40 gFeedback w120 h32, Feedback
	Gui, Font, s8, Verdana
; HELP
Gui, Tab, Help

	Gui, Add, Pic,, %img_GuiHeaderHelp%
	Gui, Add, Text, w290, To run Apps, first set them up using the Settings menu. You can either add Apps manually, or drag them onto the Appifyer apps GUI. Save your changes when finished.`n`nTo launch apps, either press their associated hotkey(s), or use the Appsmenu (Default hotkey: Windows key + Spacebar). You can now click the App you want to launch`, or press the first letter in its' name.
	Gui, Add, Pic,, %img_GuiHeaderCopyright%
	Gui, Add, Text, w290, Appifyer™ was made by`, and is copyright property of Simon Strålberg (2011). It is under development.
	Gui, Font, cACCDEC w700 underline
	Gui, Add, Text, x100 yp+60 gVisit vOnlineAppifyer, www.appifyer.com
	Gui, Add, Text, x100 yp+22 gVisit vOnlineAutohotkey, www.autohotkey.com
	Gui, Add, Text, x100 yp+22 gVisit vOnlineLicense, Online License
	Gui, Add, Text, x100 yp+22 gVisit vOnlineHelp, Online help (PDF)
	Gui, Add, Text, x100 yp+22 gFeedback, Contact the author
	Gui, Font, cDefault norm
Gui, Tab, Apps
GuiBuilding := 0
Gui, Show, w330, Appifyer ;w220 original, 420 wide